Subject: Re: [PATCH 2/2] connect: know that zero-ID is not a ref

From: Jonathan Tan <[email-masked]>
Date: Fri, 2 Sep 2016 15:11:16 -0700

On 09/02/2016 01:13 PM, Jeff King wrote:
> On Fri, Sep 02, 2016 at 10:15:39AM -0700, Jonathan Tan wrote:
>> (git-daemon should probably also be changed to serve zero IDs, but such
>> a change can be considered independently from this change; even if both
>> the client and server changes were made in one commit, it is nearly
>> impossible that all Git installations are updated at the same time - an
>> updated client would still need to deal with unupdated servers and vice
>> versa.)
>
> I'm really not sure what you mean here. How does git-daemon enter into
> this at all?

I was comparing the behavior of git daemon and jgit daemon - when 
serving the same repository, the former does not send the zero ID and 
capabilities^{} line, whereas the latter does; and I was stating that 
git daemon's behavior should be changed to JGit's behavior, but not 
necessarily immediately.

(In one of the replies to that email, Jonathan Nieder has suggested a 
more detailed transition plan.)

>> diff --git a/t/t5512-ls-remote.sh b/t/t5512-ls-remote.sh
>> index 819b9dd..c6f8b6f 100755
>> --- a/t/t5512-ls-remote.sh
>> +++ b/t/t5512-ls-remote.sh
>> @@ -207,5 +207,27 @@ test_expect_success 'ls-remote --symref omits filtered-out matches' '
>>  	test_cmp expect actual
>>  '
>>
>> +test_lazy_prereq GIT_DAEMON '
>> +	test_have_prereq JGIT &&
>> +	test_tristate GIT_TEST_GIT_DAEMON &&
>> +	test "$GIT_TEST_GIT_DAEMON" != false
>> +'
>
> GIT_DAEMON depends on JGIT? Should this really be the JGIT_DAEMON
> prerequisite?

The JGIT line shouldn't be there - thanks for catching this.